.menu-wrap {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
}
.menu-wrap .toggler {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  height: 120px;
  width: 120px;
  cursor: pointer;
  z-index: 2;
}
.menu-wrap .hamburger {
  position: absolute;
  top: 0;
  left: 0;
  height: 60px;
  width: 60px;
  background: transparent;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 1;
}

/* Hamburger line */
.menu-wrap .hamburger > div {
  position: relative;
  top: 30px;
  left: 0px;
  width: 100%;
  height: 2px;
  background: #dddddd;
  flex: none;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.4s;
}

/* Hamburger top & bottom line */
.menu-wrap .hamburger > div:before,
.menu-wrap .hamburger > div:after {
  content: "";
  position: absolute;
  top: 10px;
  left: 0;
  background: inherit;
  height: 2px;
  width: 100%;
  z-index: 1;
}
.menu-wrap .hamburger > div:after {
  top: -10px;
}

/* Toggler Animation */
.menu-wrap .toggler:checked + .hamburger > div {
  1transform: rotate(135deg);
}
.menu-wrap .toggler:checked + .hamburger > div:before,
.menu-wrap .toggler:checked + .hamburger > div:after {
  top: 0;
  transform: rotate(90deg);
}

/* Rotate on hover when checked */
.menu-wrap .toggler:checked:hover + .hamburger > div {
  1transform: rotate(225deg);
}
.menu {
  position: fixed;
  top: 0;
  left: 0;
  background: rgb(0, 0, 0, 0.90);
  height: 100vh;
  width: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  1text-align: center;
  opacity: 0;
  transition: all var(--menu-speed) ease;
}
.menu > div {
  position: relative;
  top: 100px;
  left: 0;
  height: 100%;
  width: 100%;
  flex: none;
  1display: flex;
  align-items: center;
  justify-content: center;
  1text-align: center;
  opacity: 0;
  transition: opacity 0.4s ease-in;
}
.menu ul {
  list-style: none;
}
.menu li {
  padding: 0.5rem 0;
  border-top:1px solid #555555;
}
.menu > div a {
  text-decoration: none;
  color: #ffffff;
  font-size: 16px;
  opacity: 0;
  transition: opacity 1s ease-in;
}
.menu a:hover {
  color: rgb(255, 72, 0);
  transition: color 0.3s ease-in;
}

/* Show Menu */
.menu-wrap .toggler:checked ~ .menu {
  opacity: 1;
  width: 20vw;
  transition: all var(--menu-speed) ease;
}
.menu-wrap .toggler:checked ~ .menu > div {
  opacity: 1;
  transition: opacity 0.4s ease-in;
}
.menu-wrap .toggler:checked ~ .menu > div a {
  opacity: 1;
  transition: opacity 1s ease-in;
}

@media (max-width: 500px) {
  header {
    background: url("./bg-img.jpg") no-repeat 40% center / cover;
  }
  .menu-wrap .toggler:checked ~ .menu {
    width: 65vw;
  }
}



#MNU1 a
{
  color: #a5a5a5;
}
#MNU1 a:hover
{
  color: #fff;
}
#MNU2 a
{
  color: #a5a5a5;
}
#MNU2 a:hover
{
  color: #fff;
}
#MNU3 a
{
  color: #a5a5a5;
}
#MNU3 a:hover
{
  color: #fff;
}
#MNU4 a
{
  color: #a5a5a5;
}
#MNU4 a:hover
{
  color: #fff;
}
#MNU5 a
{
  color: #a5a5a5;
}
#MNU5 a:hover
{
  color: #fff;
}
#MNU6 a
{
  color: #a5a5a5;
}
#MNU6 a:hover
{
  color: #fff;
}
#MNU7 a
{
  color: #a5a5a5;
}
#MNU7 a:hover
{
  color: #fff;
}
#MNU8 a
{
  color: #a5a5a5;
}
#MNU8 a:hover
{
  color: #fff;
}
#MNU9 a
{
  color: #a5a5a5;
}
#MNU9 a:hover
{
  color: #fff;
}
#MNU10 a
{
  color: #a5a5a5;
}
#MNU10 a:hover
{
  color: #fff;
}
